Bug 849422 - ovirt-engine-backend [TEXT]: wrong error message when trying to add shared tag to disk created from template as thin provision
ovirt-engine-backend [TEXT]: wrong error message when trying to add shared ta...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
unspecified
x86_64 Linux
high Severity medium
: ---
: 3.1.0
Assigned To: Ayal Baron
Haim
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-19 07:38 EDT by Dafna Ron
Modified: 2016-02-10 12:31 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-25 02:25:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log (87.29 KB, application/x-xz)
2012-08-19 07:38 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2012-08-19 07:38:08 EDT
Created attachment 605473 [details]
log

Description of problem:

since a vm created from template as thin provision is actually a snapshot of the template we are getting a wrong error message when trying to add the shared tag to the disk: 

Error while executing action: Cannot edit Virtual Machine Disk. Disk cannot be shareable if it depends on a snapshot. In order to share it, remove the disk's snapshots.

Version-Release number of selected component (if applicable):

si14

How reproducible:

100%

Steps to Reproduce:
1. create a vm from template as thin provision copy
2. try to add shared tag to the disk
3.
  
Actual results:

we are getting the following error: 

Error while executing action: Cannot edit Virtual Machine Disk. Disk cannot be shareable if it depends on a snapshot. In order to share it, remove the disk's snapshots.

Expected results:

since the vm disk itself is the snapshot if we remove it we will have no disk. 

Additional info:
Comment 1 Ayal Baron 2012-08-19 16:48:09 EDT
(In reply to comment #0)
> Created attachment 605473 [details]
> log
> 
> Description of problem:
> 
> since a vm created from template as thin provision is actually a snapshot of
> the template we are getting a wrong error message when trying to add the
> shared tag to the disk: 
> 
> Error while executing action: Cannot edit Virtual Machine Disk. Disk cannot
> be shareable if it depends on a snapshot. In order to share it, remove the
> disk's snapshots.
> 
> Version-Release number of selected component (if applicable):
> 
> si14
> 
> How reproducible:
> 
> 100%
> 
> Steps to Reproduce:
> 1. create a vm from template as thin provision copy
> 2. try to add shared tag to the disk
> 3.
>   
> Actual results:
> 
> we are getting the following error: 
> 
> Error while executing action: Cannot edit Virtual Machine Disk. Disk cannot
> be shareable if it depends on a snapshot. In order to share it, remove the
> disk's snapshots.
> 
> Expected results:
> 
> since the vm disk itself is the snapshot if we remove it we will have no
> disk. 

It is not a snapshot, the backing file (the template) is the snapshot.
The disk is mutable, snapshots are immutable.

At most, we can add 'snapshot/template' for clarity.
Comment 2 Dafna Ron 2012-08-20 03:35:26 EDT
Ayal, this is not correct. 
the vm's disk is created as a snapshot of the template. the actual image is the template's image not the disk (and you can create several vm's linked to the same template's image.  
also you cannot remove the template as long as it has vm's that are linked to it. 
changing the error to "snapshot/template" would be incorrect since the user cannot remove the template without removing the vm first.
Comment 3 Itamar Heim 2013-02-25 02:25:02 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.